XZDEC(1)

NAMN
xzdec, lzmadec - Små .xz- och .lzma-dekomprimerare

SYNOPSIS
xzdec [flagga…] [fil…]
lzmadec [flagga…] [fil…]

BESKRIVNING
xzdec är ett liblzma-baserat verktyg endast för dekomprimering för .xz (och endast .xz) filer. xzdec är avsett att fungera som en drop in-ersättning för xz(1) i de vanligaste situationerna där ett skript har skrivits för att använda xz --decompress --stdout (och möjligen några andra vanliga flaggor) för att dekomprimera .xz-filer. lzmadec är identisk med xzdec förutom att lzmadec stödjer .lzma-filer istället för .xz-filer.

För att reducera storleken på det körbara programmet stödjer inte xzdec multitrådning eller lokalisering, och läser inte flaggor från miljövariablerna XZ_DEFAULTS eller XZ_OPT. xzdec stödjer inte att visa mellanliggande förloppsinformation: att skicka SIGINFO till xzdec gör ingenting, med att skicka SIGUSR1 avslutar processen istället för att visa förloppsinformation.

FLAGGOR

-d, --decompress, --uncompress
    Ignoreras för kompatibilitet med xz(1). xzdec stödjer endast dekomprimering.

-k, --keep
    Ignoreras för kompatibilitet med xz(1). xzdec skapar aldrig eller tar aldrig bort några filer.

-c, --stdout, --to-stdout
    Ignoreras för kompatibilitet med xz(1). xzdec skriver alltid dekomprimerad data till standard ut.

-q, --quiet
    Att ange detta en gång gör inget eftersom xzdec aldrig visar några varningar eller noteringar. Att ange detta två gånger utelämnar felmeddelanden.

-Q, --no-warn
    Ignoreras för kompatibilitet med xz(1). xzdec använder aldrig slutstatus 2.

-h, --help
    Visa ett hjälpmeddelande och avsluta.

-V, --version
    Visa versionsnumret på xzdec och liblzma.

SLUTSTATUS

0   Allt gick bra.

1   Ett fel uppstod.

xzdec har inte några varningsmeddelanden så som xz(1) har, och därför används aldrig slutstatusen 2 av xzdec.

NOTERINGAR
Använd xz(1) istället för xzdec eller lzmadec för dagligt bruk. xzdec och lzmadec är bara avsedda för situationer där det är viktigt att ha en mindre dekomprimerare än den fullständiga xz(1).

xzdec och lzmadec är egentligen inte riktigt så små. Storleken kan reduceras ytterligare genom att ta bort funktioner från liblzma vid kompileringstidpunkten, men det skall normalt inte göras för körbara program som distribueras i en typisk, inte inbäddad, distribution av operativsystem. Om man behöver en verkligt liten .xz-dekomprimerare skall man överväga XZ Embedded.

SE ÄVEN
xz(1)

XZ Embedded: <https://tukaani.org/xz/embedded.html>